gnutls_dh_get_group(3)

NAME
gnutls_dh_get_group

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_get_group(gnutls_session_t session, gnutls_datum_t * raw_gen, gnutls_datum_t * raw_prime);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_datum_t * raw_gen
    will hold the generator.

gnutls_datum_t * raw_prime
    will hold the prime.

DESCRIPTION
This function will return the group parameters used in the last Diffie Hellman authentication with the peer. These are the prime and the generator used. This function should be used for both anonymous and ephemeral diffie Hellman. The output parameters must be freed with gnutls_free() Returns a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.